#!/usr/bin/env python
#
# PkgTrackInst.cmd_support - Command line interface support
#
# ----------------------------------------------------------------------------
# "THE BEER-WARE LICENSE" (Revision 42, (c) Poul-Henning Kamp):
# Hye-Shik Chang <perky@FreeBSD.org> wrote this file.  As long as you retain
# this notice you can do whatever you want with this stuff. If we meet some
# day, and you think this stuff is worth it, you can buy me a beer in return.
#
# Hye-Shik Chang
# ----------------------------------------------------------------------------
# $Id: cmd_support.py 528 2005-05-18 13:13:23Z perky $

__pychecker__ = 'no-argsused no-isliteral'
__all__ = ['INSTHOOK_PATH', 'IGNORE_PATHS', 'MTREE_LOCAL', 'errx', 'echo_msg']
__version__ = '1.2.1'
__banner__ = """\
%%s %s

Copyright (C) 2005 Hye-Shik Chang.  All rights reverved.""" % __version__

import sys

INSTHOOK_PATH = '/usr/local/lib/insthook.so'
IGNORE_PATHS = ['/dev', '/tmp', '/var']
MTREE_LOCAL = '/etc/mtree/BSD.local.dist'

def errx(msg):
    echo_msg(msg, sys.stderr)
    sys.exit(-1)

def echo_msg(msg, file=sys.stdout):
    print >> file, '===>  ', msg
